<?php 
 // Version: 1.1; index 
 // Initialize the template... mainly little settings. 
 function template_init() 
 { 
 	global $context, $settings, $options, $txt; 
 	/* Use images from default theme when using templates from the default theme? 
 		if this is 'always', images from the default theme will be used. 
 		if this is 'defaults', images from the default theme will only be used with default templates. 
 		if this is 'never' or isn't set at all, images from the default theme will not be used. */ 
	$settings['use_default_images'] = 'never'; 
	/* What document type definition is being used? (for font size and other issues.) 
		'xhtml' for an XHTML 1.0 document type definition. 
		'html' for an HTML 4.01 document type definition. */ 
	$settings['doctype'] = 'xhtml'; 
	/* The version this template/theme is for. 
		This should probably be the version of SMF it was created for. */ 
	$settings['theme_version'] = '1.1'; 
	/* Set a setting that tells the theme that it can render the tabs. */ 
	$settings['use_tabs'] = true; 
	/* Use plain buttons - as oppossed to text buttons? */ 
	$settings['use_buttons'] = true; 
	/* Show sticky and lock status seperate from topic icons? */ 
	$settings['seperate_sticky_lock'] = true; 
} 
// The main sub template above the content. 
function template_main_above() 
{ 
	global $context, $settings, $options, $scripturl, $txt, $modSettings, $boardurl; 
	// Show right to left and the character set for ease of translating. 
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '><head> 
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" /> 
	<meta name="description" content="', $context['page_title'], '" /> 
	<meta name="keywords" content="PHP, MySQL, bulletin, board, free, open, source, smf, simple, machines, forum" /> 
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js?rc2p"></script> 
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[ 
		var smf_theme_url = "', $settings['theme_url'], '"; 
		var smf_images_url = "', $settings['images_url'], '"; 
		var smf_scripturl = "', $scripturl, '"; 
	// ]]></script> 
	<title>', $context['page_title'], '</title>'; 
	// The ?rc2 part of this link is just here to make sure browsers don't cache it wrongly. 
	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css?rc2" /> 
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/site.css" /> 
 	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/print.css?rc2" media="print" />'; 
 	/* Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are big...) 
 		Thus, in Internet Explorer 4, 5, and Opera 6 this will show fonts one size smaller than usual. 
		Note that this is affected by whether IE 6 is in standards compliance mode.. if not, it will also be big. 
 	Standards compliance mode happens when you use xhtml... */ 
	if ($context['browser']['needs_size_fix']) 
 	echo ' 
 	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />'; 
 	// Show all the relative links, such as help, search, contents, and the like. 
 	echo ' 
 	<link rel="help" href="', $scripturl, '?action=help" target="_blank" /> 
 	<link rel="search" href="' . $scripturl . '?action=search" /> 
 	<link rel="contents" href="', $scripturl, '" />'; 
 	// If RSS feeds are enabled, advertise the presence of one. 
 	if (!empty($modSettings['xmlnews_enable'])) 
 		echo ' 
 	<link rel="alternate" type="application/rss+xml" title="', $context['forum_name'], ' - RSS" href="', $scripturl, '?type=rss;action=.xml" />'; 
 	// If we're viewing a topic, these should be the previous and next topics, respectively. 
 	if (!empty($context['current_topic'])) 
 		echo ' 
 	<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" /> 
 	<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />'; 
 	// If we're in a board, or a topic for that matter, the index will be the board's index. 
 	if (!empty($context['current_board'])) 
 		echo ' 
 	<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />'; 
 // We'll have to use the cookie to remember the header... 
 	if ($context['user']['is_guest']) 
 		$options['collapse_header'] = !empty($_COOKIE['upshrink']); 
 	// Output any remaining HTML headers. (from mods, maybe?) 
 	echo $context['html_headers'], ' 
 	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[ 
 		var current_header = ', empty($options['collapse_header']) ? 'false' : 'true', '; 
 		function shrinkHeader(mode) 
 		{'; 
  	// Guests don't have theme options!! 
 	if ($context['user']['is_guest']) 
 		echo ' 
 			document.cookie = "upshrink=" + (mode ? 1 : 0);'; 
 	else 
 		echo ' 
 			smf_setThemeOption("collapse_header", mode ? 1 : 0, null, "', $context['session_id'], '");'; 
 	echo ' 
 			document.getElementById("upshrink").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif"); 
 			document.getElementById("upshrinkHeader").style.display = mode ? "none" : ""; 
			current_header = mode; 
	} 
	// ]]></script>';  	// the routine for the info center upshrink 
 	echo ' 
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[ 
			var current_header_ic = ', empty($options['collapse_header_ic']) ? 'false' : 'true', '; 
			function shrinkHeaderIC(mode) 
			{';  	if ($context['user']['is_guest']) 
		echo '
			document.cookie = "upshrinkIC=" + (mode ? 1 : 0);'; 
	else 
	echo ' 
			smf_setThemeOption("collapse_header_ic", mode ? 1 : 0, null, "', $context['session_id'], '");'; 
  	echo '
				document.getElementById("upshrink_ic").src = smf_images_url + (mode ? "/expand.gif" : "/collapse.gif");  				document.getElementById("upshrinkHeaderIC").style.display = mode ? "none" : "";  			current_header_ic = mode; 
		}  		// ]]></script>'; 
  echo"$screen_res"; 
echo ' 
</head> 
<body> 
<div id="wrap"> 
<div id="header-top"></div> 
<div id="header"> 
	<h1><img src="', $settings['images_url'], '/logo.jpg" alt="logo" /></h1>  	<ul id="menu">  		<li class="page_item"><a href="', $scripturl, '"><em class="home"></em>' , $txt[103] , '</a></li>';
	echo '		<li class="page_item"><a href="', $scripturl, '?action=help">' , $txt[119] , '</a></li>';
		if ($context['allow_search'])
	echo '		<li class="page_item"><a href="', $scripturl, '?action=search">' , $txt[182] , '</a></li>';
	if ($context['allow_admin'])
	echo '		<li class="page_item"><a href="', $scripturl, '?action=admin">' , $txt[2] , '</a></li>';
	if ($context['allow_edit_profile'])
	echo '		<li class="page_item">	<a href="', $scripturl, '?action=profile">' , $txt[79] , '</a></li>';
	if ($context['user']['is_logged'] && $context['allow_pm'])
	echo '		<li class="page_item">					<a href="', $scripturl, '?action=pm">' , $txt['pm_short'] , ' ', $context['user']['unread_messages'] > 0 ? '[<strong>'. $context['user']['unread_messages'] . '</strong>]' : '' , '</a></li>';
	if ($context['allow_calendar'])
	echo '		<li class="page_item"><a href="', $scripturl, '?action=calendar">' , $txt['calendar24'] , '</a></li>';
	if ($context['allow_memberlist'])
	echo '		<li class="page_item">	<a href="', $scripturl, '?action=mlist">' , $txt[331] , '</a></li>';
	if ($context['user']['is_guest'])
	echo '			<li class="page_item">				<a href="', $scripturl, '?action=login">' , $txt[34] , '</a></li>';
	if ($context['user']['is_guest'])
	echo '		<li class="page_item">	<a href="', $scripturl, '?action=register">' , $txt[97] , '</a></li>';
	if ($context['user']['is_logged'])
	echo '		<li class="page_item">	<a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">' , $txt[108] , '</a></li>';
echo '
	</ul>
	<div class="clear"></div>
	<div id="rss">';
	if ($context['user']['is_logged'])
	{
		echo '
								<a href="', $scripturl, '?action=unread">', $txt['unread_since_visit'], '</a> <br />
								<a href="', $scripturl, '?action=unreadreplies">', $txt['show_unread_replies'], '</a><br />'; 
	}
	// Otherwise they're a guest - send them a lovely greeting...
	else
		echo $txt['welcome_guest'];
	// Now, onto our second set of info, are they logged in again?
	if ($context['user']['is_logged'])
	{
		// Is the forum in maintenance mode?
		if ($context['in_maintenance'] && $context['user']['is_admin'])
			echo '
								<b>', $txt[616], '</b><br />'; 
	// Are there any members waiting for approval?
		if (!empty($context['unapproved_members']))
			echo '
								', $context['unapproved_members'] == 1 ? $txt['approve_thereis'] : $txt['approve_thereare'], ' <a href="', $scripturl, '?action=viewmembers;sa=browse;type=approve">', $context['unapproved_members'] == 1 ? $txt['approve_member'] : $context['unapproved_members'] . ' ' . $txt['approve_members'], '</a> ', $txt['approve_members_waiting'], '<br />'; 
	// Show the total time logged in?
		if (!empty($context['user']['total_time_logged_in']))
		{
			echo '
								', $txt['totalTimeLogged1']; 
		// If days is just zero, don't bother to show it.
			if ($context['user']['total_time_logged_in']['days'] > 0)
				echo $context['user']['total_time_logged_in']['days'] . $txt['totalTimeLogged2']; 
			// Same with hours - only show it if it's above zero.
			if ($context['user']['total_time_logged_in']['hours'] > 0)
				echo $context['user']['total_time_logged_in']['hours'] . $txt['totalTimeLogged3']; 
			// But, let's always show minutes - Time wasted here: 0 minutes ;).
			echo $context['user']['total_time_logged_in']['minutes'], $txt['totalTimeLogged4'], '<br />';
		} 
	}
echo '	</div> 
</div><!-- end header -->
<div id="content">
';
}
function template_main_below() 
{ 
global $context, $settings, $options, $scripturl, $txt, $user_info;          echo '
</div><!-- end content -->
<div id="footer">
	<div id="legal">
', theme_copyright(), ' 
	</div>
<div id="webdemar">
Soft-White Theme &nbsp;by&nbsp;<a href="http://www.www.smftasarim.com" title="Genclik Forumu">Lorenz</a>&nbsp;&nbsp;|&nbsp;Team&nbsp;<a href="http://www.www.smftasarim.com.com">SmfTasarm</a>&nbsp;|&nbsp;&nbsp;
					<a href="http://validator.w3.org/check/referer" target="_blank">XHTML</a>&nbsp;|&nbsp;
					<a href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank">CSS</a> 
</div>
<div class="clear"></div>
</div><!-- end footer --> 
<div id="footer-bottom"></div> 
</div><!-- end wrap --> 
</body>
</html>'; 
} 
// Show a linktree. This is that thing that shows "My Community | General Category | General Discussion".. 
function theme_linktree() 
{ 
	global $context, $settings, $options; 
	echo '<div class="nav" style="font-size: smaller; margin-bottom: 2ex; margin-top: 2ex;">'; 
	// Each tree item has a URL and name. Some may have extra_before and extra_after. 
	foreach ($context['linktree'] as $link_num => $tree) 
	{ 
		// Show something before the link? 
		if (isset($tree['extra_before'])) 
			echo $tree['extra_before']; 
		// Show the link, including a URL if it should have one. 
		echo '<b>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</b>'; 
		// Show something after the link...? 
		if (isset($tree['extra_after'])) 
			echo $tree['extra_after']; 
		// Don't show a separator for the last one. 
		if ($link_num != count($context['linktree']) - 1) 
			echo '&nbsp;>&nbsp;'; 
	} 
	echo '</div>'; 
} 
  // Generate a strip of buttons. 
function template_button_strip($button_strip, $direction = 'top', $force_reset = false, $custom_td = '') 
{ 
	global $settings, $buttons, $context, $txt, $scripturl; 
	// Create the buttons... 
	foreach ($button_strip as $key => $value) 
	{ 
		if (isset($value['test']) && empty($context[$value['test']])) 
		{ 
			unset($button_strip[$key]); 
			continue; 
		} 
		elseif (!isset($buttons[$key]) || $force_reset) 
			$buttons[$key] = '<a href="' . $value['url'] . '" ' .( isset($value['custom']) ? $value['custom'] : '') . '>' . $txt[$value['text']] . '</a>'; 
		$button_strip[$key] = $buttons[$key]; 
	} 
	if (empty($button_strip)) 
		return '<td>&nbsp;</td>'; 
	echo ' 
		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_' , $context['right_to_left'] ? 'last' : 'first' , '">&nbsp;</td> 
		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_back">', implode(' &nbsp;|&nbsp; ', $button_strip) , '</td> 
		<td class="', $direction == 'top' ? 'main' : 'mirror', 'tab_' , $context['right_to_left'] ? 'first' : 'last' , '">&nbsp;</td>'; 
} 
?>